import otb
from sys import argv

PixelType = otb.D
ImageType = otb.Image[ PixelType, 2 ]
reader = otb.ImageFileReader[ ImageType ].New()

reader.SetFileName(argv[1])

filter = otb.SobelEdgeDetectionImageFilter[ ImageType, ImageType ].New()

filter.SetInput( reader.GetOutput() )

filter.Update()

writer = otb.ImageFileWriter[ ImageType ].New()

writer.SetFileName(argv[2])

writer.SetInput( filter.GetOutput() )

writer.Update()
