#include "idlotbdef.h"

#include "idl_otborthorectification.h"
#include "idl_otbcannyfilter.h"
#include "idl_otbfastmatchingimagefilter.h"
#include "idl_otbfrostfilter.h"
#include "idl_otbsvmimagemodelestimator.h"
#include "idl_otbsvmimageclassification.h"
#include "idl_otbextractroad.h"
#include "idl_otbextractalignment.h"
#include "idl_otbtouziedgedetector.h"

ORFEOANDIDL_API int IDL_Load(void)  
{  
	static IDL_MSG_BLOCK msg_block;
	static IDL_MSG_DEF msg_arr[] = {  
	#define M_TM_INPRO                       0  
	{  "M_TM_INPRO",   "%NThis is from a loadable module procedure." },  
	#define M_TM_INFUN                       -1    
	{  "M_TM_INFUN",   "%NThis is from a loadable module function." },  
	};  
    /******************************************************************************/
    /******************* DEFINTION CORPUS ***************************************/
    /******************************************************************************/
	// otborthorectification definition:
	IDL_SYSFUN_DEF2 procedure_orthorectif[] = {  
	{ (IDL_SYSRTN_GENERIC)otborthorectification, "OTBORTHORECTIFICATION", 10, 10, 0, 0},  
	};  
	// otbfastmatchingimagefilter  definition:
	IDL_SYSFUN_DEF2 procedure_fastmatchingimagefilter[] = {  
	{ (IDL_SYSRTN_GENERIC)otbfastmatchingimagefilter, "OTBFASTMATCHINGIMAGEFILTER", 9, 9, 0, 0},  
	};    
    // otbcanny filter  definition:
	IDL_SYSFUN_DEF2 procedure_canny[] = {  
	{ (IDL_SYSRTN_GENERIC)otbcannyfilter, "OTBCANNYFILTER", 2, 2, 0, 0},  
	};  
    // otbfrostfilter definition:
	IDL_SYSFUN_DEF2 function_frost[] = {  
	{ (IDL_SYSRTN_GENERIC)otbfrostfilter, "OTBFROSTFILTER", 4, 4, 0, 0},  
	}; 
    // otbsvmimagemodelestimator  definition:
	IDL_SYSFUN_DEF2 procedure_modelestimator[] = {  
	{ (IDL_SYSRTN_GENERIC)otbsvmimagemodelestimator, "OTBSVMIMAGEMODELESTIMATOR", 3, 3, 0, 0},  
	};
    // otbsvmimageclassification  definition:
	IDL_SYSFUN_DEF2 procedure_imageclassification[] = {  
	{ (IDL_SYSRTN_GENERIC)otbsvmimageclassification, "OTBSVMIMAGECLASSIFICATION", 3, 3, 0, 0},  
	};  
    // otbextractroad  definition:
	IDL_SYSFUN_DEF2 procedure_extractroad[] = {  
	{ (IDL_SYSRTN_GENERIC)otbextractroad, "OTBEXTRACTROAD", 13, 13, 0, 0},  
	}; 
    // otbextractalignment  definition:
	IDL_SYSFUN_DEF2 procedure_extractalignment[] = {  
	{ (IDL_SYSRTN_GENERIC)otbextractalignment, "OTBEXTRACTALIGNMENT", 3, 3, 0, 0},  
	};  
    // otbtouziedgedetector definition:
	IDL_SYSFUN_DEF2 procedure_touziedgedetector[] = {  
	{ (IDL_SYSRTN_GENERIC)otbtouziedgedetector, "OTBTOUZIEDGEDETECTOR", 3, 3, 0, 0},  
	}; 
    
    /* Create a message block to hold our messages. Save its handle where  
	* the other routines can access it. */  
	if (!(msg_block = IDL_MessageDefineBlock("Testmodule", 
	IDL_CARRAY_ELTS(msg_arr),  
	msg_arr))) return IDL_FALSE;  

    /******************************************************************************/
    /******************* RETURN CORPUS ***************************************/
    /******************************************************************************/
	/* Register our routine. The routines must be specified exactly the same  
	* as in testmodule.dlm. */  
	return IDL_SysRtnAdd(procedure_orthorectif, TRUE,   
	IDL_CARRAY_ELTS(procedure_orthorectif))	
    && IDL_SysRtnAdd(procedure_canny, FALSE,   
	IDL_CARRAY_ELTS(procedure_canny))
    && IDL_SysRtnAdd(procedure_fastmatchingimagefilter, FALSE,   
	IDL_CARRAY_ELTS(procedure_fastmatchingimagefilter))
    && IDL_SysRtnAdd(function_frost, TRUE,   
	IDL_CARRAY_ELTS(function_frost))
    &&IDL_SysRtnAdd(procedure_modelestimator, FALSE,   
	IDL_CARRAY_ELTS(procedure_modelestimator))	
    && IDL_SysRtnAdd(procedure_imageclassification, FALSE,   
	IDL_CARRAY_ELTS(procedure_imageclassification))
    && IDL_SysRtnAdd(procedure_extractroad, FALSE,   
	IDL_CARRAY_ELTS(procedure_extractroad))
    && IDL_SysRtnAdd(procedure_extractalignment, FALSE,   
	IDL_CARRAY_ELTS(procedure_extractalignment))
    && IDL_SysRtnAdd(procedure_touziedgedetector, FALSE,   
	IDL_CARRAY_ELTS(procedure_touziedgedetector));
}
